Public Class EnsaioAmostra
    Private _numeroEnsaio As Integer
    Private _numeroEnsaioAmostra As Integer
    Public Property numeroEnsaio() As Integer
        Get
            Return _numeroEnsaio
        End Get
        Set(ByVal value As Integer)
            _numeroEnsaio = value
        End Set
    End Property
    Public Property numeroEnsaioAmostra() As Integer
        Get
            Return _numeroEnsaioAmostra
        End Get
        Set(ByVal value As Integer)
            _numeroEnsaioAmostra = value
        End Set
    End Property

    '###########################################################
    'FORM BPL.vb
    '###########################################################
    Private _codigo As String
    Private _identificacaoAmostra As String
    Public Property Codigo() As String
        Get
            Return _codigo
        End Get
        Set(ByVal value As String)
            _codigo = value
        End Set
    End Property
    Public Property identificacaoAmostra() As String
        Get
            Return _identificacaoAmostra
        End Get
        Set(ByVal value As String)
            _identificacaoAmostra = value
        End Set
    End Property


    Private _localizacaoAmostra As String
    Public Property localizacaoAmostra() As String
        Get
            Return _localizacaoAmostra
        End Get
        Set(ByVal value As String)
            _localizacaoAmostra = value
        End Set
    End Property
    Private _responsavelColeta As String
    Public Property responsavelColeta() As String
        Get
            Return _responsavelColeta
        End Get
        Set(ByVal value As String)
            _responsavelColeta = value
        End Set
    End Property

    Private _dataColeta As Date
    Private _dataEnsaio As Date
    Private _dataLote As Date
    Private _dataValidade As Date
    Private _dataPreparoZinco As Date
    Private _dataPreparoFenol As Date
    Private _dataPreparoCromo As Date

    Public Property dataColeta() As Date
        Get
            Return _dataColeta
        End Get
        Set(ByVal value As Date)
            _dataColeta = value
        End Set
    End Property
    Public Property dataEnsaio() As Date
        Get
            Return _dataEnsaio
        End Get
        Set(ByVal value As Date)
            _dataEnsaio = value
        End Set
    End Property
    Public Property dataLote() As Date
        Get
            Return _dataLote
        End Get
        Set(ByVal value As Date)
            _dataLote = value
        End Set
    End Property
    Public Property dataValidade() As Date
        Get
            Return _dataValidade
        End Get
        Set(ByVal value As Date)
            _dataValidade = value
        End Set
    End Property
    Public Property dataPreparoZinco() As Date
        Get
            Return _dataPreparoZinco
        End Get
        Set(ByVal value As Date)
            _dataPreparoZinco = value
        End Set
    End Property
    Public Property dataPreparoFenol() As Date
        Get
            Return _dataPreparoFenol
        End Get
        Set(ByVal value As Date)
            _dataPreparoFenol = value
        End Set
    End Property
    Public Property dataPreparoCromo() As Date
        Get
            Return _dataPreparoCromo
        End Get
        Set(ByVal value As Date)
            _dataPreparoCromo = value
        End Set
    End Property

    Private _armazenamento As String
    Private _caracteristicas As String
    Public Property armazenamento() As String
        Get
            Return _armazenamento
        End Get
        Set(ByVal value As String)
            _armazenamento = value
        End Set
    End Property
    Public Property caracteristicas() As String
        Get
            Return _caracteristicas
        End Get
        Set(ByVal value As String)
            _caracteristicas = value
        End Set
    End Property

    Private _valorPH As String
    Private _valorSalinidade As String
    Private _ajustePH As String
    Private _ajusteSalinidade As String
    Public Property valorPH() As String
        Get
            Return _valorPH
        End Get
        Set(ByVal value As String)
            _valorPH = value
        End Set
    End Property
    Public Property valorSalinidade() As String
        Get
            Return _valorSalinidade
        End Get
        Set(ByVal value As String)
            _valorSalinidade = value
        End Set
    End Property
    Public Property ajustePH() As String
        Get
            Return _ajustePH
        End Get
        Set(ByVal value As String)
            _ajustePH = value
        End Set
    End Property
    Public Property ajusteSalinidade() As String
        Get
            Return _ajusteSalinidade
        End Get
        Set(ByVal value As String)
            _ajusteSalinidade = value
        End Set
    End Property

    Private _bacteriaNome As String
    Private _bacteriaFonte As String
    Private _bacteriaNumeroLote As String
    Private _bacteriaCondicoesArmazenamento As String
    Public Property bacteriaNome() As String
        Get
            Return _bacteriaNome
        End Get
        Set(ByVal value As String)
            _bacteriaNome = value
        End Set
    End Property
    Public Property bacteriaFonte() As String
        Get
            Return _bacteriaFonte
        End Get
        Set(ByVal value As String)
            _bacteriaFonte = value
        End Set
    End Property
    Public Property bacteriaNumeroLote() As String
        Get
            Return _bacteriaNumeroLote
        End Get
        Set(ByVal value As String)
            _bacteriaNumeroLote = value
        End Set
    End Property
    Public Property bacteriaCondicoesArmazenamento() As String
        Get
            Return _bacteriaCondicoesArmazenamento
        End Get
        Set(ByVal value As String)
            _bacteriaCondicoesArmazenamento = value
        End Set
    End Property

    Private _solucaoZinco As String
    Private _concentracaoZinco As String
    Public Property solucaoZinco() As String
        Get
            Return _solucaoZinco
        End Get
        Set(ByVal value As String)
            _solucaoZinco = value
        End Set
    End Property
    Public Property concentracaoZinco() As String
        Get
            Return _concentracaoZinco
        End Get
        Set(ByVal value As String)
            _concentracaoZinco = value
        End Set
    End Property

    Private _solucaoFenol As String
    Private _concentracaoFenol As String
    Public Property solucaoFenol() As String
        Get
            Return _solucaoFenol
        End Get
        Set(ByVal value As String)
            _solucaoFenol = value
        End Set
    End Property
    Public Property concentracaoFenol() As String
        Get
            Return _concentracaoFenol
        End Get
        Set(ByVal value As String)
            _concentracaoFenol = value
        End Set
    End Property

    Private _solucaoCromo As String
    Private _concentracaoCromo As String
    Public Property solucaoCromo() As String
        Get
            Return _solucaoCromo
        End Get
        Set(ByVal value As String)
            _solucaoCromo = value
        End Set
    End Property
    Public Property concentracaoCromo() As String
        Get
            Return _concentracaoCromo
        End Get
        Set(ByVal value As String)
            _concentracaoCromo = value
        End Set
    End Property

    Private _observacoesPreTratamento As String
    Public Property observacoesPreTratamento() As String
        Get
            Return _observacoesPreTratamento
        End Get
        Set(ByVal value As String)
            _observacoesPreTratamento = value
        End Set
    End Property

    '###########################################################
    'FORM ENSAIOAMOSTRA.vb
    '###########################################################
    Private _serieDiluicoes As String
    Private _preDiluicao As String
    Public Property serieDiluicoes() As String
        Get
            Return _serieDiluicoes
        End Get
        Set(ByVal value As String)
            _serieDiluicoes = value
        End Set
    End Property
    Public Property preDiluicao() As String
        Get
            Return _preDiluicao
        End Get
        Set(ByVal value As String)
            _preDiluicao = value
        End Set
    End Property

    Private _numeroBloco As Integer
    Private _numeroDiluicoesBloco As Integer
    Private _concentracao As String
    Private _unidade As String
    Private _observacoes As String
    Public Property numeroBloco() As Integer
        Get
            Return _numeroBloco
        End Get
        Set(ByVal value As Integer)
            _numeroBloco = value
        End Set
    End Property
    Public Property numeroDiluicoesBloco() As Integer
        Get
            Return _numeroDiluicoesBloco
        End Get
        Set(ByVal value As Integer)
            _numeroDiluicoesBloco = value
        End Set
    End Property
    Public Property concentracao() As String
        Get
            Return _concentracao
        End Get
        Set(ByVal value As String)
            _concentracao = value
        End Set
    End Property
    Public Property unidade() As String
        Get
            Return _unidade
        End Get
        Set(ByVal value As String)
            _unidade = value
        End Set
    End Property
    Public Property observacoes() As String
        Get
            Return _observacoes
        End Get
        Set(ByVal value As String)
            _observacoes = value
        End Set
    End Property


    Private _livreB1 As Single
    Private _livreC1 As Single
    Private _livreD1 As Single
    Private _livreA4 As Single
    Private _livreB4 As Single
    Private _livreC4 As Single
    Private _livreD4 As Single
    Private _livre2B1 As Single
    Private _livre2C1 As Single
    Private _livre2D1 As Single
    Private _livre2A4 As Single
    Private _livre2B4 As Single
    Private _livre2C4 As Single
    Private _livre2D4 As Single

    '############### FIM - ENSAIOAMOSTRA.vb  #############################

    Public Property livreB1() As Single
        Get
            Return _livreB1
        End Get
        Set(ByVal value As Single)
            _livreB1 = value
        End Set
    End Property
    Public Property livreC1() As Single
        Get
            Return _livreC1
        End Get
        Set(ByVal value As Single)
            _livreC1 = value
        End Set
    End Property
    Public Property livreD1() As Single
        Get
            Return _livreD1
        End Get
        Set(ByVal value As Single)
            _livreD1 = value
        End Set
    End Property
    Public Property livreA4() As Single
        Get
            Return _livreA4
        End Get
        Set(ByVal value As Single)
            _livreA4 = value
        End Set
    End Property
    Public Property livreB4() As Single
        Get
            Return _livreB4
        End Get
        Set(ByVal value As Single)
            _livreB4 = value
        End Set
    End Property
    Public Property livreC4() As Single
        Get
            Return _livreC4
        End Get
        Set(ByVal value As Single)
            _livreC4 = value
        End Set
    End Property
    Public Property livreD4() As Single
        Get
            Return _livreD4
        End Get
        Set(ByVal value As Single)
            _livreD4 = value
        End Set
    End Property
    Public Property livre2B1() As Single
        Get
            Return _livre2B1
        End Get
        Set(ByVal value As Single)
            _livre2B1 = value
        End Set
    End Property
    Public Property livre2C1() As Single
        Get
            Return _livre2C1
        End Get
        Set(ByVal value As Single)
            _livre2C1 = value
        End Set
    End Property
    Public Property livre2D1() As Single
        Get
            Return _livre2D1
        End Get
        Set(ByVal value As Single)
            _livre2D1 = value
        End Set
    End Property
    Public Property livre2A4() As Single
        Get
            Return _livre2A4
        End Get
        Set(ByVal value As Single)
            _livre2A4 = value
        End Set
    End Property
    Public Property livre2B4() As Single
        Get
            Return _livre2B4
        End Get
        Set(ByVal value As Single)
            _livre2B4 = value
        End Set
    End Property
    Public Property livre2C4() As Single
        Get
            Return _livre2C4
        End Get
        Set(ByVal value As Single)
            _livre2C4 = value
        End Set
    End Property
    Public Property livre2D4() As Single
        Get
            Return _livre2D4
        End Get
        Set(ByVal value As Single)
            _livre2D4 = value
        End Set
    End Property

    Private _acao As Byte
    Public Property Acao() As Byte
        Get
            Return _acao
        End Get
        Set(ByVal value As Byte)
            _acao = value
        End Set
    End Property

End Class
